Page MenuHomePhabricator

Prototype in node intake service
Closed, ResolvedPublic21 Story Points

Event Timeline

Nuria renamed this task from Prototype in node service intake to Prototype in node intake service.Oct 11 2018, 10:08 PM
Nuria triaged this task as Normal priority.
Nuria created this task.

Proceeding!

https://github.com/ottomata/eventbus

Need to move to gerrit.

Heya @Pchelolo. I'm feeling good about the general layout and architecture for this prototype. Would love to go over it with you and/or have you review now. It is still very WIP, but we should to move to gerrit soon, eh?

https://github.com/ottomata/eventbus

To run it, you should edit config.dev.yaml and point the schema_base_uri at your checkout of the event-schemas repo, OR just uncomment the line that points it at http:// raw github. :)

The API is the same as eventlogging-service, but the error response is of a different structure.

Ottomata moved this task from Next Up to In Progress on the Analytics-Kanban board.

Change 477805 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/event-schemas@master] New error event version 0.0.3 for Modern Event Platform and EventGate

https://gerrit.wikimedia.org/r/477805

Ottomata moved this task from Backlog to In Progress on the EventBus board.Dec 5 2018, 10:04 PM
Nuria added a comment.EditedDec 5 2018, 10:23 PM

Pending item to close this ticket is to have a codewalkthrogh. Note that repo is now under wikimedia github: https://github.com/wikimedia/eventgate

Ottomata moved this task from In Progress to Done on the Analytics-Kanban board.Jan 7 2019, 8:25 PM
Ottomata changed the point value for this task from 0 to 21.
Ottomata moved this task from In Progress to Done on the EventBus board.Jan 7 2019, 8:29 PM
Nuria closed this task as Resolved.Jan 8 2019, 8:03 AM

Change 477805 merged by Ottomata:
[mediawiki/event-schemas@master] error event 0.0.3, test/event 0.0.2

https://gerrit.wikimedia.org/r/477805